atk.StreamableContent
Prev | The atk Class Reference | Next

## atk.StreamableContent

atk.StreamableContent — the ATK interface which provides access to streamable content.

## Synopsis

    class atk.StreamableContent(gobject.GInterface):
        def get_n_mime_types()
        def get_mime_type(i)

## Description

An interface whereby an object allows its backing content to be streamed to clients. Typical implementors would be images or icons, HTML content, or multimedia display/rendering widgets.

Negotiation of content type is allowed. Clients may examine the backing data and transform, convert, or parse the content in order to present it in an alternate form to end-users.

The `atk.StreamableContent` interface is particularly useful for saving, printing, or post-processing entire documents, or for persisting alternate views of a document. If document content itself is being serialized, stored, or converted, then use of the `atk.StreamableContent` interface can help address performance issues. Unlike most ATK interfaces, this interface is not strongly tied to the current user-agent view of the a particular document, but may in some cases give access to the underlying model data.

## Methods

### atk.StreamableContent.get_n_mime_types

        def get_n_mime_types()

Returns : | an integer which is the number of mime types supported by the object.

Gets the number of mime types supported by this object.

### atk.StreamableContent.get_mime_type

        def get_mime_type(i)

`i` : | an index representing the position of the mime type starting from 0
Returns : | : a string* representing the specified mime type.

Gets the character string of the specified mime type. The first mime type is at position 0, the second at position 1, and so on.

Prev | Up | Next
atk.StateSet | Home | atk.Table